QGIS Application - Feature request #11806
Server Search in WMS dialog does not give feedback for empty search or results
2014-12-08 02:21 AM - Richard Duivenvoorde

Status: Open

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 20030
Description

In the Add Layer from WMS Server there is a tab 'Server Search' which uses the following service:

http://geopole.org/wms/search?search=&#38;type=rss

This is working perfectly IF you type a word with one or more results, but if you are like me, and try to just search (NO search word),
hoping you would just receive the first 50 hits or so then it looks like it is not working: there is not feed back.
The same if you do a search for a non excisting term like 'xxx'.

So feature request:

- if there is NO search term given: a message: 'please provide a search term'

- if NO results come back, a message: 'your search for xxx provided no results'
(or anything better an native english speaker comes up with :-)

History

#1 - 2014-12-08 03:33 AM - Giovanni Manghi
- Category set to Web Services clients/WMS

#2 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No
